import request from '@/utils/request';
// 初始化list
export function getList(query) {
    return request({
        url: '/patrol/maintarea/list',
        method: 'get',
        params: query
    })
}
// 树结构查询
export function treeAreaDeviceSelectAgain(query) {
    return request({
        url: '/basedata/prodevmnt/device/treeAreaDeviceSelectAgain',
        method: 'get',
        //   params: query
    })
}
// 新增
export function postAdd(query) {
    return request({
        url: '/patrol/maintarea',
        method: 'POST',
        data: query
    })
}

// 删除
export function postRemove(query) {
    return request({
        url: `/patrol/maintarea/remove/${query}`,
        method: 'post',
        // params: query
    })
}

// 编辑
export function edit(query) {
    return request({
        url: `/patrol/maintarea/update?lineId=${query.lineId}&enable=${query.enable}`,
        method: 'get',
        // data: query
    })
}
// 区域下发
export function issue(query) {
    return request({
        url: `/patrol/maintarea/issue?ids=${query}`,
        method: 'get',
        // data: query
    })
}